Package com.sas.lsaf.execution.session

## Class SessionSearchResults

- java.lang.Object
- - com.sas.lsaf.execution.session.SessionSearchResults

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SessionSearchResults
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the results of a session search executed on the server.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SessionSearchResults​(java.util.Set<Session> sessions, boolean limitReached)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<Session>` | `getSessions()` | The sessions found that match the query.
    `int` | `hashCode()` |
    `boolean` | `isLimitReached()` | Indicates whether the query results exceed the maximum number of items that are allowed on the server.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionSearchResults

          public SessionSearchResults​(java.util.Set<Session> sessions,
                                      boolean limitReached)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the search results objects returned by the API.
      Parameters:
        `sessions` - The sessions found that match the query.
        `limitReached` - Indicates whether the query results exceed the maximum number of items that are allowed on the server.

  - ### Method Detail

    - #### getSessions

          public java.util.Set<Session> getSessions()

      The sessions found that match the query.
      Returns:
        The sessions found that match the query.

    - #### isLimitReached

          public boolean isLimitReached()

      Indicates whether the query results exceed the maximum number of items that are allowed on the server.
      Returns:
        Whether the query results exceed the maximum number of items that are allowed on the server.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`